Skip to main content
GET
/
projects
/
{project_reference}
/
style-artifacts
/
current
Resolve Current Project Style Artifact
curl --request GET \
  --url https://api.veryfront.com/projects/{project_reference}/style-artifacts/current \
  --header 'Authorization: Bearer <token>'
{
  "status": "ready",
  "artifact_hash": "<string>",
  "asset_path": "<string>",
  "etag": "<string>",
  "content_type": "<string>",
  "build_job_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "failure_reason": "<string>",
  "updated_at": "<string>"
}

Authorizations

Authorization
string
header
required

Authentication via JWT token or API key. JWT: Get from Veryfront dashboard. API Key: Format "vf__" - create via /api-keys endpoint.

Path Parameters

project_reference
string
required

Project ID or slug

Query Parameters

style_profile_hash
string
required
Minimum string length: 1
branch
string
Minimum string length: 1
environment_name
string
Minimum string length: 1
release_id
string<uuid>

Response

Current style artifact metadata

status
enum<string>
required
Available options:
ready,
missing,
building,
failed
artifact_hash
string
asset_path
string
etag
string
content_type
string
build_job_id
string<uuid>
failure_reason
string
updated_at
string